Bug 618820 - pulp packagegroup add_package should allow to add multiple package at the same time
pulp packagegroup add_package should allow to add multiple package at the sam...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sayli Karmarkar
Preethi Thomas
: Improvement
Depends On:
Blocks: pulp-verified
  Show dependency treegraph
 
Reported: 2010-07-27 15:52 EDT by Preethi Thomas
Modified: 2015-03-22 21:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 09:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-07-27 15:52:39 EDT
Description of problem:


Right now we can only add one package at a time with the command pulp packagegroup add_package

We should be able add multiple packages to the package group with single use of the cli option



[root@preethi ~]# pulp packagegroup add_package --repoid=rhel-x86_64-client-vt-5 --id=rhel5_vt --pkgname=/var/lib/pulp/rhel-x86_64-client-vt-5/kvm-83-164.el5_5.12.x86_64.rpm
Package [/var/lib/pulp/rhel-x86_64-client-vt-5/kvm-83-164.el5_5.12.x86_64.rpm] added to group [rhel5_vt] in repository [rhel-x86_64-client-vt-5]

[root@preethi ~]# pulp packagegroup add_package --repoid=rhel-x86_64-client-vt-5 --id=rhel5_vt --pkgname=/var/lib/pulp/kvm-tools-83-164.el5_5.12.x86_64.rpm --pkgname=/var/lib/pulp/qcairo-1.8.7.1-3.el5.x86_64.rpm
Package [/var/lib/pulp/qcairo-1.8.7.1-3.el5.x86_64.rpm] added to group [rhel5_vt] in repository [rhel-x86_64-client-vt-5]
Comment 1 Sayli Karmarkar 2010-09-03 03:55:40 EDT
Added multiple package support:

$ sudo pulp-admin -u admin -p admin packagegroup add_package --repoid=myrepo --id=mypkggroup -n grinder -n mongo -n mongo-devel
Following packages added to group [mypkggroup] in repository [myrepo]: 
 ['grinder', 'mongo', 'mongo-devel']

$ sudo pulp-admin -u admin -p admin packagegroup info --id=mypkggroup --repoid=myrepo
+-------------------------------------------+
Package Group Information
+-------------------------------------------+

Name                	mypkggroup               
Id                  	mypkggroup               
Mandatory packages  	[]                       
Default packages    	[u'grinder', u'mongo', u'mongo-devel']
Optional packages   	[]                       
Conditional packages	{}                       

Moving it to modified, will move it to on_qa when we build rpms for QA.
Comment 2 Preethi Thomas 2010-09-21 13:55:16 EDT
verified

[root@preethi ~]# rpm -qa  |grep pulp
pulp-client-0.0.65-1.fc13.noarch
pulp-common-0.0.65-1.fc13.noarch
pulp-0.0.65-1.fc13.noarch



[root@preethi ~]# pulp-admin -u admin -p admin packagegroup add_package --id=pkggrp1 --repoid=local-repo-1 -n mongo -n grinder
Following packages added to group [pkggrp1] in repository [local-repo-1]: 
 ['mongo', 'grinder']


[root@preethi ~]# pulp-admin -u admin -p admin packagegroup info --id=pkggrp1 --repoid=local-repo-1
+-------------------------------------------+
Package Group Information
+-------------------------------------------+

Name                    pkggrp1                  
Id                      pkggrp1                  
Mandatory packages      []                       
Default packages        [u'zsh', u'mongo', u'grinder']
Optional packages       []                       
Conditional packages    {}
Comment 3 Preethi Thomas 2011-08-16 09:58:52 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.